.if-security-release-tag: &if-security-release-tag
  if: '($CI_PIPELINE_SOURCE =~ /^(pipeline|web|api)$/) && ($SECURITY_RELEASE_PIPELINE =~ /^(tag|true)$/)'

security_release_tag:start:
  extends: .with-bundle
  stage: security_release:tag:start
  when: manual
  script:
    - bundle exec rake 'security:tag:start'
  rules:
    - <<: *if-security-release-tag

security_release_tag:create_dynamic_pipeline:
  extends: .with-bundle
  stage: security_release:tag
  needs: ['security_release_tag:start']
  script:
    - |
      set -eo pipefail

      # Generate dynamic pipeline YAML
      bundle exec rake "security:tag_jobs[$VERSIONS]" # Writes dynamic-tag-gitlab-ci.yml

      # Display generated YAML content
      echo -e "section_start:$(date +%s):generated_dynamic_pipeline[collapsed=true]\r\e[0KGenerated dynamic-tag-gitlab-ci.yml"
      cat dynamic-tag-gitlab-ci.yml
      echo -e "section_end:$(date +%s):generated_dynamic_pipeline\r\e[0K"
  artifacts:
    paths:
      - dynamic-tag-gitlab-ci.yml
  rules:
    - <<: *if-security-release-tag

security_release_tag:generate_tag_jobs:
  stage: security_release:tag
  needs: ['security_release_tag:create_dynamic_pipeline']
  trigger:
    strategy: depend
    forward:
      pipeline_variables: true
    include:
      - artifact: dynamic-tag-gitlab-ci.yml
        job: security_release_tag:create_dynamic_pipeline
  rules:
    - <<: *if-security-release-tag
